import os
from tkinter import Tk, Button, filedialog
from docx import Document

def fusionner_docx(dossier):
    doc_fusionne = Document()

    for fichier in os.listdir(dossier):
        if fichier.endswith(".docx"):
            chemin_fichier = os.path.join(dossier, fichier)
            doc = Document(chemin_fichier)

            for para in doc.paragraphs:
                nouveau_para = doc_fusionne.add_paragraph()
                nouveau_para.alignment = para.alignment
                for run in para.runs:
                    nouveau_run = nouveau_para.add_run(run.text)
                    nouveau_run.bold = run.bold
                    nouveau_run.italic = run.italic
                    nouveau_run.underline = run.underline

    doc_fusionne.save("fusion.docx")
    print("Documents fusionnés dans fusion.docx")

def selectionner_dossier():
    dossier = filedialog.askdirectory()
    if dossier:
        fusionner_docx(dossier)

# Création de la fenêtre Tkinter
root = Tk()
root.title("Sélectionner un dossier")

btn = Button(root, text="Sélectionner un dossier", command=selectionner_dossier)
btn.pack(pady=20)

root.mainloop()

